#
# lay2.rb
#   $Id: lay2.rb,v 1.2 2000/11/18 19:03:37 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn iws

DCL::slmgn(0.1, 0.1, 0.1, 0.1)
DCL::slsttl( 'FIGURE TITLE',  'T', 0.0, 0.0, 0.03, 1)
DCL::slsttl( 'PROGRAM.NAME',  'B', -1.0, 1.0, 0.02, 2)
DCL::slsttl( '#DATE #TIME',   'B', 0.0, 0.0, 0.02, 3)
DCL::slsttl( 'page:#PAGE',    'B', 1.0, -1.0, 0.02, 4)

DCL::sgfrm
DCL::slpvpr(1)
DCL::sgtxv(0.5, 0.5,  'FIGURE' )

DCL::sgcls

